import { createVuetify } from "vuetify";

import "@mdi/font/css/materialdesignicons.css";
import "vuetify/styles";
import { VDataTable } from 'vuetify/labs/VDataTable'
 
import * as directives from 'vuetify/directives'
import theme from './theme'
import { VuetifyDateAdapter } from 'vuetify/labs/date/adapters/vuetify'
import * as components from 'vuetify/components'
import * as labsComponents from 'vuetify/labs/components'
// Vuetify

export default createVuetify({
  theme,
  ssr: true,
  directives,
    components: {
        VDataTable,
        ...components,
        ...labsComponents
      },
      date: {
        adapter: VuetifyDateAdapter,
      },
});
